{
  description = "Opinionated Nixvim config as a flake";

  inputs = {
    ## nixvim uses it's own version, so this is only
    ## for explicitly installed packages and non nixvim config
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

    nixvim = {
      url = "github:nix-community/nixvim";
    };

  };

  outputs = { nixpkgs, ... } @ inputs:
  let
    # system = "x86_64-linux";
    pkgs = import "${nixpkgs}" {
      # system = "x86_64-linux";
    };
  in
  {
    nixosModules = rec {
      nixvim-config = import ./default.nix {
        inherit inputs;
        # inherit system;
        inherit pkgs;
      };
      default = nixvim-config;
    };
  };
}
